<?php
/**
 *
 * Slideshow for Header extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2017 Picaron
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

namespace Picaron\SlideWeUni;

/**
* Extension class Search Back for custom enable/disable/purge actions
*/
class ext extends \phpbb\extension\base
{
    /**
    * Check whether or not the extension can be enabled.
    * The current phpBB version should meet or exceed
    * the minimum version required by this extension:
    *
    * Requires phpBB 5.3.3 due to usage of http_exception.
    *
    * @return bool
    * @access public
    */
    public function is_enableable()
    {
        // Requires phpBB 3.2.0 or newer.
        $config = $this->container->get('config');
        $is_enableable = phpbb_version_compare($config['version'], '3.2.0', '>=');

        // Display a custom warning message if requirement fails.
        if (!$is_enableable)
        {
            $lang = $this->container->get('language');
            $lang->add_lang('info_acp_slideweuni', 'Picaron/SlideWeUni');

            // Suppress the error in case of CLI usage
            @trigger_error($lang->lang('SLIDE_WEUNI_INSTALL_ERROR'), E_USER_WARNING);
        }

        return $is_enableable;
    }
}
?>